pydo.byoip_prefixes.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.byoip_prefixes.get(
    byoip_prefix_uuid="f47ac10b-58cc-4372-a567-0e02b2c3d479",
)
Returns JSONRaises HttpResponseError

Description

To get a BYOIP prefix, send a GET request to /v2/byoip_prefixes/$byoip_prefix_uuid.

A successful response will return the details of the specified BYOIP prefix.

Parameters

byoip_prefix_uuid string required

The unique identifier for the BYOIP Prefix.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.byoip_prefixes.get(byoip_prefix_uuid="fa3b-1234-5678-90ab-cdef01234567")

Response Example

Show Response Example
{
  "byoip_prefix": {
    "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "status": "active",
    "region": "nyc3",
    "prefix": "203.0.113.0/24",
    "validations": [],
    "failure_reason": "",
    "advertised": true,
    "locked": false,
    "project_id": "12345678-1234-1234-1234-123456789012"
  }
}

More Information

See /v2/byoip_prefixes/{byoip_prefix_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.